# OpalSIPIMMediaSession Class Reference

`#include <sipim.h>`

Inheritance diagram for OpalSIPIMMediaSession:

[legend]
Collaboration diagram for OpalSIPIMMediaSession:
[legend]

## Public Member Functions

| OpalSIPIMMediaSession (OpalConnection &connection, unsigned sessionId)
| OpalSIPIMMediaSession (const OpalSIPIMMediaSession &_obj)
virtual bool | Open ()
virtual void | Close ()
virtual PObject * | Clone () const
virtual bool | IsActive () const
virtual bool | IsRTP () const
virtual bool | HasFailed () const
virtual OpalTransportAddress | GetLocalMediaAddress () const
virtual void | SetRemoteMediaAddress (const OpalTransportAddress &, const OpalMediaFormatList &)
virtual SDPMediaDescription * | CreateSDPMediaDescription (const OpalTransportAddress &localAddress)
virtual OpalMediaStream * | CreateMediaStream (const OpalMediaFormat &mediaFormat, unsigned sessionID, PBoolean isSource)
virtual PString | GetCallID () const

## Protected Attributes

OpalTransportAddress | transportAddress
PString | localURL
PString | remoteURL
PString | callId

## Detailed Description

Class for carrying MSRP session information

## Constructor & Destructor Documentation

OpalSIPIMMediaSession::OpalSIPIMMediaSession | ( | OpalConnection & | connection,
|  | unsigned | sessionId |
| ) |  |  |

OpalSIPIMMediaSession::OpalSIPIMMediaSession | ( | const OpalSIPIMMediaSession & | _obj | ) |

## Member Function Documentation

virtual PObject* OpalSIPIMMediaSession::Clone | ( |  | ) | const`[inline, virtual]`

Implements OpalMediaSession.

virtual void OpalSIPIMMediaSession::Close | ( |  | ) | `[inline, virtual]`

Implements OpalMediaSession.

virtual OpalMediaStream* OpalSIPIMMediaSession::CreateMediaStream | ( | const OpalMediaFormat & | mediaFormat,
|  | unsigned | sessionID,
|  | PBoolean | isSource |
| ) |  |  | `[virtual]`

Implements OpalMediaSession.

virtual SDPMediaDescription* OpalSIPIMMediaSession::CreateSDPMediaDescription | ( | const OpalTransportAddress & | localAddress | ) | `[virtual]`

Implements OpalMediaSession.

virtual PString OpalSIPIMMediaSession::GetCallID | ( |  | ) | const`[inline, virtual]`

virtual OpalTransportAddress OpalSIPIMMediaSession::GetLocalMediaAddress | ( |  | ) | const`[virtual]`

Implements OpalMediaSession.

virtual bool OpalSIPIMMediaSession::HasFailed | ( |  | ) | const`[inline, virtual]`

Implements OpalMediaSession.

virtual bool OpalSIPIMMediaSession::IsActive | ( |  | ) | const`[inline, virtual]`

Implements OpalMediaSession.

virtual bool OpalSIPIMMediaSession::IsRTP | ( |  | ) | const`[inline, virtual]`

Implements OpalMediaSession.

virtual bool OpalSIPIMMediaSession::Open | ( |  | ) | `[inline, virtual]`

virtual void OpalSIPIMMediaSession::SetRemoteMediaAddress | ( | const OpalTransportAddress & | ,
|  | const OpalMediaFormatList & |  |
| ) |  |  | `[virtual]`

Reimplemented from OpalMediaSession.

## Field Documentation

PString OpalSIPIMMediaSession::callId `[protected]`

PString OpalSIPIMMediaSession::localURL `[protected]`

PString OpalSIPIMMediaSession::remoteURL `[protected]`

OpalTransportAddress OpalSIPIMMediaSession::transportAddress `[protected]`

The documentation for this class was generated from the following file:

- sipim.h